Q_XQUOTAON(2const)

NAME
Q_XQUOTAON - turn on quotas for an XFS filesystem

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <xfs/xqm.h>      /* See quotactl(2) */
#include <sys/quota.h>

int quotactl(QCMD(Q_XQUOTAON, type), const char *_Nullable special, 0,
             caddr_t addr);

#include <xfs/xqm.h>      /* See quotactl_fd(2) */
#include <sys/syscall.h>  /* Definition of SYS_* constants */
#include <unistd.h>

int syscall(SYS_quotactl_fd, int fd, QCMD(Q_XQUOTAON, type), 0,
            unsigned int *addr);

DESCRIPTION
Turn on quotas for an XFS filesystem.

XFS provides the ability to turn on/off quota limit enforcement with quota accounting. Therefore, XFS expects addr to be a pointer to an unsigned int that contains a bitwise combination of the following flags (defined in <xfs/xqm.h>):

    XFS_QUOTA_UDQ_ACCT  /* User quota accounting */
    XFS_QUOTA_UDQ_ENFD  /* User quota limits enforcement */
    XFS_QUOTA_GDQ_ACCT  /* Group quota accounting */
    XFS_QUOTA_GDQ_ENFD  /* Group quota limits enforcement */
    XFS_QUOTA_PDQ_ACCT  /* Project quota accounting */
    XFS_QUOTA_PDQ_ENFD  /* Project quota limits enforcement */

This operation requires privilege (CAP_SYS_ADMIN).

RETURN VALUE
See quotactl(2).

ERRORS
See quotactl(2).

STANDARDS
Linux.

HISTORY
Linux.

SEE ALSO
quotactl(2), quotactl_fd(2), Q_XQUOTAOFF(2const)